Subject: Re: t3900 failure on macOS, iconv(3) broken?

From: René Scharfe <[email-masked]>
Date: Fri, 12 Dec 2025 11:40:41 +0100

On 12/8/25 11:59 PM, René Scharfe wrote:
> 
> I only noticed now because I used to compile with NO_ICONV for some
> reason.
Nope, NO_ICONV does not work on macOS because compat/precompose_utf8.c
references reencode_string_iconv() and there's no (easy) way to disable
PRECOMPOSE_UNICODE.  I actually used ICONVDIR before, had forgotten
about it, got confused about it after deleting my config.mak and my
backup copy didn't set ICONVDIR, either.  Odd.  Anyway, just wanted to
correct the false impression that compiling with NO_ICONV on macOS would
be possible without source changes.

René